/* RC Servo Mount for Bruder Skid Steer Arm Servo

Passend für Turnigy TGY1501:
http://www.hobbyking.com/hobbyking/store/__9617__Turnigy_8482_TGY_1501MG_MG_Servo_15_5kg_0_16sec_60g.html
Model: TGY-1501MG
Voltage: 4.8~6.0v
Speed: 0.16~0.14sec
Torque: 15.5~17.0kg/cm
Weight: 60g
Size: 40.7x20.5x39.5mm

ToDo:
- Aussparung für die Versteifung am Servo

*/

/* Modules */
include <../Modules/Module_Geometrical_Objects.scad>;

/* Globals */
$fn=23;
gH=20;
gMS=2.0;


	difference()
	{
		translate([0, 0, gH/2])
		cube([20, 10, gH], center=true);

		for (i=[1, -1])
		translate([5*i, 0, 0])
		{
			hexHub(6, 3);
			cylinder(d=3.6, h=23);
		}
		
		translate([0, gMS/2, gH-9])
		cube([20, 10-gMS, 3.0+0.3], center=true);
	}